1. Searches
Sherlockeye API
  • Getting started
  • Searches
    • Create a new asynchronous OSINT search
      POST
    • Get search details and results
      GET
    • Run a synchronous OSINT search with timeout
      POST
    • Delete a search
      DELETE
  • Blockchain
    • Register a search on the blockchain
      POST
  • Webhooks
    • Create a new webhook
      POST
    • List all webhooks for the authenticated user
      GET
    • Get webhook details
      GET
    • Update a webhook
      PUT
    • Delete a webhook
      DELETE
    • Get webhook delivery history
      GET
    • Retry a webhook delivery
      POST
  • Balance
    • Get token balance for the authenticated user
      GET
  • Schemas
    • SearchResult
    • ErrorResponse
    • BalanceResponse
    • CreateSearchRequest
    • CreateSyncSearchRequest
    • CreateSyncSearchResponse
    • CreateSearchResponse
    • GetSearchResponse
    • DeleteSearchResponse
    • BlockchainResponse
    • BlockchainData
    • CreateWebhookRequest
    • UpdateWebhookRequest
    • WebhookResponse
    • WebhookListResponse
    • Webhook
    • DeleteWebhookResponse
    • WebhookDeliveriesResponse
    • WebhookRetryResponse
    • WebhookDelivery
    • WebhookDeliveryAttempt
  1. Searches

Create a new asynchronous OSINT search

POST
/v1/searches
Creates a new asynchronous OSINT search for a given identifier (for example, an email,
domain or username). The search runs in the background; the response returns immediately
with a searchId and status processing.
Use GET /v1/searches/{searchId} to poll for status and results. For a single request that
waits and returns results in the same response, use POST /v1/searches/sync (synchronous search).
To Deep Research (Available on Email, Phone and Name search), include:
"additional_modules": ["digital_accounts_expansion"]

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢201
application/json
Asynchronous search job successfully created.
Body

🟠400
🟠401
🟠403
🟠422
🟠429
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://api.sherlockeye.io/v1/searches' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "email",
    "value": "someone@example.com",
    "additional_modules": [
        "digital_accounts_expansion"
    ]
}'
Response Response Example
201 - Newly created search
{
    "success": true,
    "data": {
        "searchId": "f6f3b720-4f3a-4dcf-9d0e-6e5efc46f8c9",
        "type": "email",
        "value": "someone@example.com",
        "status": "processing",
        "createdAt": "2025-01-01T12:00:00.000Z"
    }
}
Modified at 2026-03-23 17:38:08
Previous
Getting started
Next
Get search details and results
Built with